<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:aws="http://webservices.amazon.com/AWSECommerceService/2008-04-07"
	exclude-result-prefixes="aws">
	
	<xsl:output method="html" indent="yes" encoding="utf-8" omit-xml-declaration="yes"/>
	
	<xsl:template match="/">
		<xsl:apply-templates select="aws:ItemSearchResponse/aws:Items/aws:SearchResultsMap/aws:SearchIndex" />
	</xsl:template>
	
	<xsl:template match="aws:ItemSearchResponse/aws:Items/aws:SearchResultsMap/aws:SearchIndex">
		<div class="amazon-reloaded-index-container closed" id="{concat('amazon-reloaded-index-', aws:IndexName)}" >
			<h5 class="amazon-reloaded-index-header"><xsl:value-of select="aws:IndexName" /></h5>
			<div class="amazon-reloaded-index-container-inner">
				<ul>
					<xsl:for-each select="aws:ASIN">
						<xsl:variable name="identifier" select="." />
						<xsl:variable name="current_item" select="//aws:Item[./aws:ASIN=$identifier]" />
						<li>
						<xsl:if test="position() mod 2 != 1">
							<xsl:attribute name="class">amazon-reloaded-alt</xsl:attribute>
						</xsl:if>
						<div class="amazon-reloaded-image">
								<img src="{$current_item/aws:SmallImage/aws:URL}" />
								<ul>
									<li><a href="#" class="amazon-reloaded-insert-image">Insert image</a>
										<ul class="amazon-reloaded-image-choices closed">
											<li><a title="{$current_item/aws:DetailPageURL}" href="{$current_item/aws:SmallImage/aws:URL}" class="amazon-reloaded-image-link">Small</a></li>
											<li><a title="{$current_item/aws:DetailPageURL}" href="{$current_item/aws:MediumImage/aws:URL}" class="amazon-reloaded-image-link">Medium</a></li>
											<li><a title="{$current_item/aws:DetailPageURL}" href="{$current_item/aws:LargeImage/aws:URL}" class="amazon-reloaded-image-link">Large</a></li>
										</ul>
									</li>
								</ul>
						</div>
						<div class="amazon-reloaded-info">
							<a class="amazon-reloaded-product-link" name="{$current_item/aws:ASIN}" href="{$current_item/aws:DetailPageURL}">
								<xsl:value-of select="$current_item/aws:ItemAttributes/aws:Title" />
							</a>
						</div>
						<br class="clear" />
						</li>
					</xsl:for-each>
				</ul>
			</div>
		</div>
	</xsl:template>
	
</xsl:stylesheet>